Subject: DEMO/DEVEL 4.1 problems

From: Chris Hand <[email-masked]>
Date: Tue, 6 Oct 92 00:50:57 BST

Hi,

Has anyone out there compiled the 4.1 release of the
REND386 libraries yet?

After hacking around with the makefile I get an out-of-memory
error on world.c, and can't currently work out out to get
the compiler to co-operate.

But to do that I had to mess around with the makefile a lot.

Why doesn't the makefile have stuff like:

	CC	= tcc
	CCFLAGS = -ml -c -P-c -1 -G -wall

	banana.obj: banana.c
		$(CC) $(CCFLAGS) banana.c

in it, rather than calling tcc/tlink/tlib explicitly??
Then all you have to do is change the definition of
"CC", instead of messing around doing search&replace
all over the place... (I use "bcc" or "bccx").

[Aside: what is the probability of being able to port
 to other compilers, such as MS C or GNU CC??]

Anyway, a couple of more serious problems:

	1. SEGASUPP.C is size zero (0) bytes.  Is this
	   intentional??

	2. When I run demo4 on my machine (now a 386DX/40
	   since the operation) It works fine (except
	   complaining about being "not on any object"
	   all the time if the mouse driver isn't loaded),
	  but AFTER running it and returning to DOS,
	   executing the "mem" command hangs the machine
	   and it needs a hard reset.

	   Is something not getting put back right?  I'm
	   running MS-DOS 5.0 with HIMEM.SYS & EMM386 (noems)
	   and have stacks=10,512... although it still happens
	   with a "skeleton" configuration, come to think of it.

Also, I would like to hack up a higher-resolution video driver
(unless there already is one), say 640x480x256 -- a 1Meg
SVGA card should be able to double-buffer this OK if not
doing stereo, right?

Well, the vdrivers.doc file says to look at the source for the
16- and 256-colour drivers.  So where is it?!?  

Apart from this REND386 is still great, and a hell of a lot
faster on my new motherboard, so things are not *that* bad...

Cheers,

Chris